sysinfo(1)

Name
sysinfo — print IRC-style system information banner

Syntax
sysinfo [-v]

Options

-v  Print additional info if sysinfo could not determine certain parameters because it was compiled without one or more of libmount, libpci or libxcb.

Description
Prints out an IRC-style machine info, like:

[ares08] Linux 3.13.4-jng21-default x86_64 | 8-thr Intel(R) Core(TM) i7-2600 CPU 3800MHz | Load: 0.06 Tasks: 534 | Mem: 20222/32154MB | Disk: 1393/2904GB | Gfx: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller @ 1280x1024

[ares01] Linux 3.13.6+ sparc64 | 24-thr UltraSparc T1 (Niagara) 1000MHz | Load: 27.80 Tasks: 489 | Mem: 2048/7979MB | Disk: 1001/1833GB

The load number is the EWMA over the last 60 seconds. The values shown for memory and disk are the used amount and the total amount (NOT the free amount and the total amount). The used memory value may theoretically exceed that of the available memory, which is the case when memory is in general already full and tmpfs files have been moved to swap (i.e. you are approaching more trouble).

The @xsizexysize describes the size of the entire X framebuffer ("virtual desktop"), and will only be printed if $DISPLAY is set and valid. The size is specific to the particular display server, and need not coincide with the display attached to the shown graphics car (for example, when DISPLAY is set to point to an Xvnc instance or a remote DISPLAY).

See also
hxtools(7)